Package org.apache.ignite.transactions

## Enum TransactionIsolation

- java.lang.Object
- - java.lang.Enum<TransactionIsolation>
  - - org.apache.ignite.transactions.TransactionIsolation

- All Implemented Interfaces:
    `Serializable`, `Comparable<TransactionIsolation>`

      public enum TransactionIsolation
      extends Enum<TransactionIsolation>

  Defines different cache transaction isolation levels. See `Transaction` documentation for more information about cache transaction isolation levels.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `READ_COMMITTED` | Read committed isolation level.
    `REPEATABLE_READ` | Repeatable read isolation level.
    `SERIALIZABLE` | Serializable isolation level.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static @Nullable TransactionIsolation` | `fromOrdinal​(int ord)` | Efficiently gets enumerated value from its ordinal.
    `static TransactionIsolation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TransactionIsolation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_COMMITTED

          public static final TransactionIsolation READ_COMMITTED

      Read committed isolation level.

    - #### REPEATABLE_READ

          public static final TransactionIsolation REPEATABLE_READ

      Repeatable read isolation level.

    - #### SERIALIZABLE

          public static final TransactionIsolation SERIALIZABLE

      Serializable isolation level.

  - ### Method Detail

    - #### values

          public static TransactionIsolation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionIsolation c : TransactionIsolation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionIsolation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable TransactionIsolation fromOrdinal​(int ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value or `null` if ordinal out of range.